<nav class="navbar navbar-expand-lg bg-body-tertiary">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" [routerLink]="['/']">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['/counter/counter']">Counter</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" [routerLink]="['/post/posts']">Post</a>
        </li>
        <li class="nav-item" *ngIf="!(isAuthenticated |async)">
          <a class="nav-link" [routerLink]="['/auth']" >Login</a>
        </li>
        <li class="nav-item"  *ngIf="!(isAuthenticated |async)">
          <a class="nav-link" [routerLink]="['/auth/signup']">Signup</a>
        </li>
        <li class="nav-item"  *ngIf="isAuthenticated |async">
          <a class="nav-link" href="#" (click)="logout($event)">Logout</a>
        </li>
      </ul>
    </div>
  </div>
</nav>

<router-outlet></router-outlet>

